package com.qmth.themis.business.domain;

import java.io.Serializable;

/**
 * @Description: 同步云阅卷参数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/7/13
 */
public class CloudMarkDomain implements Serializable {

    private String url;

    private String studentScoreApi;

    private String examSaveApi;

    private String subjectSaveApi;

    private String studentSaveApi;

    private String fileUploadApi;

    public CloudMarkDomain() {

    }

    public CloudMarkDomain(String url, String studentScoreApi, String examSaveApi, String subjectSaveApi,
                           String studentSaveApi, String fileUploadApi) {
        this.url = url;
        this.studentScoreApi = studentScoreApi;
        this.examSaveApi = examSaveApi;
        this.subjectSaveApi = subjectSaveApi;
        this.studentSaveApi = studentSaveApi;
        this.fileUploadApi = fileUploadApi;
    }

    public String getFileUploadApi() {
        return fileUploadApi;
    }

    public void setFileUploadApi(String fileUploadApi) {
        this.fileUploadApi = fileUploadApi;
    }

    public String getExamSaveApi() {
        return examSaveApi;
    }

    public void setExamSaveApi(String examSaveApi) {
        this.examSaveApi = examSaveApi;
    }

    public String getSubjectSaveApi() {
        return subjectSaveApi;
    }

    public void setSubjectSaveApi(String subjectSaveApi) {
        this.subjectSaveApi = subjectSaveApi;
    }

    public String getStudentSaveApi() {
        return studentSaveApi;
    }

    public void setStudentSaveApi(String studentSaveApi) {
        this.studentSaveApi = studentSaveApi;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getStudentScoreApi() {
        return studentScoreApi;
    }

    public void setStudentScoreApi(String studentScoreApi) {
        this.studentScoreApi = studentScoreApi;
    }
}
